Bug 120430 - up2date crash downloading headers for RHSA-2004:120-08
up2date crash downloading headers for RHSA-2004:120-08
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: up2date (Show other bugs)
3.0
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
:
Depends On:
Blocks: up2date-rhel3-u2
  Show dependency treegraph
 
Reported: 2004-04-08 15:01 EDT by RMauger
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-09 07:41:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description RMauger 2004-04-08 15:01:13 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030922

Description of problem:
Running up2date-gnome since the release of RHSA-2004:120-08 results in
a crash with the following traceback:

SSL exception (104, 'Connection reset by peer')
SSL exception (-1, 'Unexpected EOF')
Traceback (most recent call last):
  File "/usr/share/rhn/up2date_client/gui.py", line 1361, in
onChannelsPageNext
    self.pkgList = self.pList.getPackagesToInstall()
  File "/usr/share/rhn/up2date_client/packageList.py", line 521, in
getPackagesToInstall
    result = self.__skipPackages(result)
  File "/usr/share/rhn/up2date_client/packageList.py", line 550, in
__skipPackages
    packageList = self.__skipFiles(packageList)
  File "/usr/share/rhn/up2date_client/packageList.py", line 571, in
__skipFiles
    ignoreMsgCallback = self.ignoreMsgCallback)
  File "/usr/share/rhn/up2date_client/packageList.py", line 610, in
buildHeaderList
    hdr = headerList[pkg]
  File "/usr/share/rhn/up2date_client/headers.py", line 37, in __getitem__
    self.__retrievePackage(item)
  File "/usr/share/rhn/up2date_client/headers.py", line 42, in
__retrievePackage
    hdr, sourceType = rpcServer.doCall(self.repos.getHeader, item)
  File "/usr/share/rhn/up2date_client/rpcServer.py", line 112, in doCall
    ret = apply(method, args, kwargs)
  File "/usr/share/rhn/up2date_client/repoDirector.py", line 31, in
getHeader
    return self.handlers[channel['type']].getHeader(pkg, msgCallback,
progressCallback)
  File "/usr/share/rhn/up2date_client/rpmSource.py", line 210, in
getHeader
    header = source.getHeader(pkg, progressCallback = progressCallback)
  File "/usr/share/rhn/up2date_client/repoBackends/up2dateRepo.py",
line 102, in getHeader
    rpmSourceUtils.saveHeader(hdr)
  File "/usr/share/rhn/up2date_client/rpmSourceUtils.py", line 31, in
saveHeader
    os.write(fd, hdr.unload())
rpm.error: can't unload bad header

//

The problem seems to occur with openssl-devel-0.9.7a-33.4.i386.hdr.


Version-Release number of selected component (if applicable):
up2date-4.2.5-1

How reproducible:
Always

Steps to Reproduce:
1. Run up2date-gnome.
2. Observe header download followed by crash.
3.

Additional info:
Comment 1 Adrian Likins 2004-04-08 18:07:10 EDT
Looks like a bad header is in the cache,
try:

rm -rf /var/spool/up2date/*.hdr 

Comment 2 RMauger 2004-04-09 07:36:38 EDT
Removal of relevant headers(openssl-0.9.7a-33.4.i686.hdr,
openssl-devel-0.9.7a-33.4.i386.hdr) from up2date cache has now
resolved this issue. I had previously tried this on a number of
occasions without success. Oh well.

Thank you Adrian.

Note You need to log in before you can comment on or make changes to this bug.